ServerLoadData (Apache Geode 1.15.4)

org.apache.geode.management

## Class ServerLoadData

- java.lang.Object
- - org.apache.geode.management.ServerLoadData

-     public class ServerLoadData
      extends Object

  Composite data type used to distribute server load information.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerLoadData(float connectionLoad, float subscriberLoad, float loadPerConnection, float loadPerSubscriber)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getConnectionLoad()` Returns the load on the server due to client to server connections.
    `float` | `getLoadPerConnection()` Returns an estimate of how much load each new connection will add to this server.
    `float` | `getLoadPerSubscriber()` Returns an estimate of the much load each new subscriber will add to this server.
    `float` | `getSubscriberLoad()` Returns the load on the server due to subscription connections.
    `String` | `toString()` String representation of ServerLoadData

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerLoadData

          @ConstructorProperties(value={"connectionLoad","subscriberLoad","loadPerConnection","loadPerSubscriber"})
          public ServerLoadData(float connectionLoad,
                                                                                                                                          float subscriberLoad,
                                                                                                                                          float loadPerConnection,
                                                                                                                                          float loadPerSubscriber)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
      Parameters:
        `connectionLoad` - the load on the server due to client to server connections
        `subscriberLoad` - the load on the server due to subscription connections
        `loadPerConnection` - how much load each new connection will add to this server
        `loadPerSubscriber` - how much load each new subscription will add to this server

  - ### Method Detail

    - #### getConnectionLoad

          public float getConnectionLoad()

      Returns the load on the server due to client to server connections.
      Returns:
        the load on the server due to client to server connections

    - #### getSubscriberLoad

          public float getSubscriberLoad()

      Returns the load on the server due to subscription connections.
      Returns:
        the load on the server due to subscription connections

    - #### getLoadPerConnection

          public float getLoadPerConnection()

      Returns an estimate of how much load each new connection will add to this server. The Locator use this information to estimate the load on the server before it receives a new load snapshot.
      Returns:
        an estimate of how much load each new connection will add to this server

    - #### getLoadPerSubscriber

          public float getLoadPerSubscriber()

      Returns an estimate of the much load each new subscriber will add to this server. The Locator uses this information to estimate the load on the server before it receives a new load snapshot.
      Returns:
        an estimate of the much load each new subscriber will add to this server

    - #### toString

          public String toString()

      String representation of ServerLoadData
      Overrides:
        `toString` in class `Object`